/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.relation.s1pkcomp;

/**
 * @author J.Camilleri
 * Contributors:
 *   - H.Joanin
 */
public class PK implements java.io.Serializable 
{
    public String id1;
    public int id2;
 
    private int hashCode = -1;

    public PK() {
    }

    public PK(String id1, int id2)
    {
	this.id1 = id1;
	this.id2 = id2;
    }

    public boolean equals(Object other) 
    {
	if (other == null) {
	    return false;
	}
	if (other == this) {
	    return true;
	}
	if (!(other instanceof PK)) {
	    return false;
	}
	PK otherPK = (PK)other;
	return ((id1.equals(otherPK.id1)) && (id2==otherPK.id2));
    }

    public int hashCode() {
	if (hashCode == -1) {
	    hashCode = id1.hashCode() ^ new Integer(id2).hashCode();
	}
	return hashCode;
    }

    public String toString() {
	return("(" + id1 + "-" + id2 + ")");
    }
}

